homeSliderDOM = undefined;
totalHomeSlideNo = 5;
totalHomeSliderMoved = undefined;
hsTouchStartX = undefined;
hsTouchEndX = undefined;
hsTouchDirection = undefined;
hsPrevDirection = undefined;
function homeSlideTouch(e) {
	if ($(e.target).attr('class') != 'hs_go_to_detail') {
		if (deviceInfo.device != 'android') {
			e.preventDefault();
		}
		var matrix = matrixToArray(homeSliderDOM.css("-webkit-transform"));
		var currentSlideX = parseInt(matrix[4], 10);
	    var x = event.touches[0].pageX;
	    if (hsTouchEndX != undefined){
		    var movedHowMuch = hsTouchEndX - x;
		    if (movedHowMuch){
			    var newSlideX = currentSlideX - movedHowMuch;
		    	if (isSupport3d == true) {
		    		homeSliderDOM.css("-webkit-transform", 'translate3d(' + newSlideX + 'px, 0px, 0px)');
		    	} else {
		    		homeSliderDOM.css("-webkit-transform", 'translate(' + newSlideX + 'px, 0px)');
		    	}
		    }
	    } else {
	    	hsTouchStartX = x;    
		    homeSliderDOM.css('-webkit-transition-duration', 'inherit');
	    }
	    hsTouchEndX = x;
	}
}
function resetSlideTouch() {
	hsTouchStartX = undefined;
	hsTouchEndX = undefined;
	hsTouchDirection = undefined;
}

function bindHomeSlideTouch() {
	homeSliderDOM.bind("touchstart touchmove", function(e) {
		clearInterval(gHomeSlideInterval);
		homeSlideTouch(e);
	});
	homeSliderDOM.bind("touchend", function(e) {
		homeSliding(undefined, function(returnedDirection){
			resetSlideTouch();
		});
	});
}
function unbindHomeSlideTouch() {
	homeSliderDOM.unbind("touchstart").unbind('touchmove').unbind('touchend');
}

function homeSliding(direction, callback) {
	//code on server
}


function loadFeaturedVideoIntoHomeSlide() {
	homeSliderDOM = $('#home_slideshow_slider');
	var dotContainer = $('#home_slideshow_dot_container');
	if (gFeaturedContent != undefined && gFeaturedContent.length) {
		//if (hideAppStoreRelated) {
		//	$('#home_slideshow_container').hide();
		//} else {
		//	$('#home_slideshow_container').show();
			
			var slideAmount = gFeaturedContent.length;
			if (slideAmount % 2 === 1) {			//单数取中间
				var midNum = Math.floor(slideAmount / 2);
			} else {										//双数取中间的前一个
				var midNum = (slideAmount / 2) - 1;
			}
			if (homeSliderDOM.find('.hs_item_container').length <= 0) {
				for (var i = 0; i < slideAmount; i++) {
					var currentSlideClass = '';
					if ( i === midNum ) {
						currentSlideClass = 'hs_item_current_slide';
					}
					homeSliderDOM.append('<div slide_no="' + (i + 1) + '" content_id="" content_type="" class="hs_item_container hs_item_container_' + (i + 1) + ' ' + currentSlideClass + '"></div>');
					var currentDotClass = '';
					if (i === 0) {
						currentDotClass = 'hs_dot_current_item';
					}
					dotContainer.append('<div class="hs_dot_item ' + currentDotClass + '"></div>');
				}
			}
			//alert(midNum);		//之前等于4，现在是6
			//--------计算容器和单个单元的宽度--------\
			var containerWidth = (midNum + 1) * 100;
			$('#home_slideshow_slider').css('width', containerWidth + '%');
			var itemWidth = 100 / (midNum + 1);
			$('.hs_item_container').css('width', itemWidth + '%');
			//-----------------------------------/
			
			if (homeSliderDOM.find('.hsc_title').length <= 0) {		//已经装载了不要重复装
				var html = $('#home_slide_content_template').html();
				for (var i in gFeaturedContent) {
					var contentNo = parseInt(i, 10) + 1;
					var thisContent = gFeaturedContent[i];
					//console.log(thisContent);
					var tplOBJ = {id:thisContent.id, title:thisContent.title, post_by:thisContent.postBy};
					if (thisContent.content_type == 'album') {
						tplOBJ.hsc_type_class = 'hsc_type_album';
					} else {
						tplOBJ.hsc_type_class = 'hsc_type_video';
					}
					var thisHTML = doRendTemplate(html, tplOBJ);
					
					var toSlideNo = ((contentNo + midNum > slideAmount)?(contentNo + midNum - slideAmount):(contentNo + midNum));
					var transformDistance = itemWidth * midNum;
					homeSliderDOM.css('-webkit-transform', 'translate3d(-' + transformDistance + '%, 0px, 0px)');
					//alert('toSlideNo: ' + toSlideNo);
					homeSliderDOM.find('.hs_item_container_' + toSlideNo).attr('content_id', thisContent.id).attr('content_type', thisContent.content_type).html(thisHTML);
					//---------下载或加载视频截图到本机-----------\
					var thisLocalImageArr = new Array();
					for (var x = 0; x < 5; x++) {		//这个5代表的读取资源里的几张图
						var thisContentImage = thisContent.images[x];
						if (thisContentImage) {
							var thisSelector = '#home_slideshow_slider .hs_item_container_' + toSlideNo + ' .hsc_image_item_' + x;
							if (deviceInfo.device == 'android') {
								thisLocalImageArr.push({
									selector: thisSelector, 
									url: thisContentImage
								});
							} else {
								$(thisSelector).css('background-image', 'url("' + thisContentImage + '")');
							}
						}
					}
					if (thisLocalImageArr.length) {
						if (deviceInfo.device == 'android') {
							renderLocalImage(thisLocalImageArr, "gallery/mip", 'background');
						}
					}
					//---------------------------------------/
				}
			}
		//}
	} else {
		$('#home_slideshow_container').hide();
	}
}



